<?
/*
    Admin Banners - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v1.9 (11 February 2003)  : initial release
      v2.4 (24 September 2003) : created $typ_[name] variables
      v4.0 (06 December 2004)  : added multi-admin management (by Nicolas Alves)
      

  Modifi par HPSAM pour le Plugin TOTAL BAN
	Total BAN  Plugin for GuppY is GPL  Copyright (C) 2006 by  HPSAM
	Web site = http://www.hpsam.info
*/
if (stristr($_SERVER["SCRIPT_NAME"], "total_ban.inc")) {
  header("location:../index.php");
  die();
}

include_once(CHEMIN."plugins/total_ban/function.inc");

$topmess = $ban_adm1." - ".$ban_adm2;
include(CHEMIN."inc/hpage.inc");

$nbresult = 20;

$idpg = strip_tags($idpg);
// listage des photos et flash
$img = array();
$swf = array();
$dossier = opendir(CHEMIN."img/");
while ($fichier = readdir($dossier)) {
  if (is_file(CHEMIN."img/".$fichier)) {
    $path_parts = basename($fichier);
    $path_parts = substr($path_parts,strrpos($path_parts,".")+1);
    if (IsImage($path_parts)) {
      $img[] = $fichier;
    }
    elseif (IsFlash($path_parts)) {
      $swf[] = $fichier;
    }
  }
}
closedir($dossier);
@sort($img);

$foto = array();
$dossier = opendir(CHEMIN."photo/");
while ($fichier = readdir($dossier)) {
  if (is_file(CHEMIN."photo/".$fichier)) {
    $path_parts = basename($fichier);
    $path_parts = substr($path_parts,strrpos($path_parts,".")+1);
    if (Isimage($path_parts)) {
      $foto[] = $fichier;
    }
  }
}
closedir($dossier);
@sort($foto);
// fin listage photo

// traitement retour de formulaire
// action rapide (case  cocher)
if ($act == "fast") {
  $dbids = explode(" ", trim($tbids));
  $data = array();
  for ($ij = 0; $ij < count($dbids); $ij++) {
    $ii = $dbids[$ij];
    if (${"a_".$ii} == "on") {
      $data[] = array(TYP_BANNER, $ii, "a");
    }
    elseif (${"i_".$ii} == "on") {
      $data[] = array(TYP_BANNER, $ii, "i");
    }
    elseif (${"d_".$ii} == "on") {
      $data[] = array(TYP_BANNER, $ii, "d");
    }
  }
  unset($dbids);

  $dbdocid = ReadDBFields(TB_DOCID);
  foreach($dbdocid as $i=>$d) {
    $idx[$d[1]] =  $i;
  }
  for ($i = 0; $i < count($data); $i++) {
    ReadDocTB(TB_DBBASE.$data[$i][1]);
    $tbtype = $tbtype;
    $tbstatus  = $data[$i][2];
    $tbformat = $tbformat;
    $tbregim1 = addslashes($tbregim1);
    $tbregim2 = addslashes($tbregim2);
    $tbcode1 = addslashes($tbcode1);
    $tbcode2 = addslashes($tbcode2);
    $tbdebut = $tbdebut;
    $tbfin = $tbfin;
    WriteDocTB();
    $dbdocid[$idx[$data[$i][1]]][2] = $data[$i][2];
  }
  unset($idx);
  if (count($data) > 0) {
    usort($dbdocid, "compare_id1");
    WriteDBFields(TB_DOCID, $dbdocid);
    unset($dbdocid, $data);
  }
} // fin $act=="fast" action rapide (case  cocher)
// passage en actif ou innactif
elseif ($act == "a" || $act == "i") {
  $data[0] = "";
  $data[1] = $id;
  $data[2] = $act;
  $data[3] = "";
  $data[4] = "";
  $data[5] = "";
  $data[6] = "";
  $data[7] = "";
  $data[8] = "";
  $data[9] = "";
  $data[10] = "";
  $data[11] = "";
  ActionOnFieldsTB("act", $data);
} // fin $act=="a" ou "i" passage en actif ou innactif
// suppression d'un lment
elseif (!empty($del)) {
  $data[0] = "";
  $data[1] = $del;
  $data[2] = "d";
  $data[3] = "";
  $data[4] = "";
  $data[5] = "";
  $data[6] = "";
  $data[7] = "";
  $data[8] = "";
  $data[9] = "";
  $data[10] = "";
  $data[11] = "";
  ActionOnFieldsTB("del",$data);
} // fin $del non vide suppression d'un lment
// ajout d'un lment
elseif ($add == 1) {
  $data[0] = "$tb_type";
  $data[1] = "";
  $data[2] = $tb_status == "on" ? "a" : "i";
  $data[3] = $tb_format;
  $data[4] = "";
  $data[5] = "";
  $data[6] = $tb_regim1;
  $data[7] = $tb_regim2;
  $data[8] = $tb_code1;
  $data[9] = $tb_code2;
  $data[10] = RecomposeDateTB($tb_debut);
  $data[11] = RecomposeDateTB($tb_fin);
  ActionOnFieldsTB("add", $data);
} // fin $add == 1 ajout d'un lment
// modification d'un lment
elseif ($mod == 1) {
  $data[0] = "$tb_type";
  $data[1] = $id;
  $data[2] = "";
  $data[3] = $tb_format;
  $data[4] = "";
  $data[5] = "";
  $data[6] = $tb_regim1;
  $data[7] = $tb_regim2;
  $data[8] = $tb_code1;
  $data[9] = $tb_code2;
  $data[10] = RecomposeDateTB($tb_debut);
  $data[11] = RecomposeDateTB($tb_fin);
  ActionOnFieldsTB("mod", $data);
  $form = 0;
  
  $dbdocid = ReadDBFields(TB_DOCID);
  for ($a = 0;$a < count($dbdocid);$a++) {
  	if ($dbdocid[$a][1]==$id) {
      $dbdocid[$a][0] = $tb_type;
      break;
    }
  }
  WriteDBFields(TB_DOCID, $dbdocid);
  unset($dbdocid);
} // fin $mod == 1 modification d'un lment
global $wri;
// fin traitement retour de formulaire

?>
<script language="javascript" type="text/javascript">
function popup_img(URL) {
  var hauteur = 450;
  var largeur = 360;
  var top=(screen.height-hauteur)/5;
  var left=(screen.width-largeur)*7/8;
  window.open(URL+'&amp;op=img', 'itmp', 'top='+top+', left='+left+', width='+largeur+', height='+hauteur+', resizable=yes,menubar=no,location=no,directories=no,status=no,copyhistory=no,toolbar=no,scrollbars=yes');
}
</script>
<?
htable($ban_adm1." - ".$ban_adm2, "100%");
// texte accueil - menu admin - liste - insertion
?>
<div align="center"><?
 if (($tb_cfg[3]=="")&&($tb_cfg[4]=="")&&($tb_cfg[5]=="")&&($tb_cfg[6]=="")&&($tb_cfg[7]=="")){
  echo "<p style=\"font-weight:bold;color:red;text-align:center;\">".$ban_adm43."</p>";
 }
?>
<p><? echo $admin223; ?></p><br />
<hr />
<a href="admin.php?lng=<? echo $lng; ?>"><? echo $admin22; ?></a> || <strong><a href="admin.php?lng=<? echo $lng; ?>&amp;logout=1"><? echo $admin19; ?></a></strong>
<hr /><a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban_cfg"><b><? echo $ban_adm19; ?></b></a>
|| <a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban_cfg&amp;tbp=mai&amp;tri=<? echo $tri; ?>"><? echo $ban_adm18; ?></a> 
|| <a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban_cfg&amp;tbp=imp"><? echo $ban_adm47; ?></a><br />
<a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban&amp;tri=<? echo $tri; ?>"><? echo $admin266; ?></a>
|| <a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban&amp;tri=<? echo $tri; ?>&amp;form=1"><? echo $admin267; ?></a>
|| <a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban&amp;tri=<? echo $tri; ?>&amp;form=3"><? echo $ban_adm4; ?></a> 
<hr />
<?
// fin menu admin - liste - insertion

// liste des bannires
if (empty($form)) {
  if (empty($tri)) $tri="-id";
  $dbwork = SelectDBFieldsByNotStatus(ReadDBFields(TB_DOCID),"d");
  @rsort($dbwork);
  $tmpi=0;
  $tmp[0] = array();
  $tmp[1] = array();
  $tmp[2] = array();
  $flng = ($lng == $lang[0]);
  $format_nextid = "%".ceil(log10(ReadCounter(TB_NEXTID)))."u";
  for ($i = 0; $i < count($dbwork); $i++) {
    ReadDocTB(TB_DBBASE.$dbwork[$i][1]);
    $tbregim1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $tbregim1)));
    $tbcode1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $tbcode1)));
    $champs0 = "";
    $champs1 = "";
    $champs2 = "";
    if ($tbfileid != $dbwork[$i][1] || $tbtype != $dbwork[$i][0]) {
      $tbfileid = "*".$dbwork[$i][1];
      $champs0 = "Problme";
      $champs1 = "Fichier absent ou vide, mais prsent dans TB_DOCID";
      $champs2 = "type=".$dbwork[$i][0];
    }
    if ($tbformat == "re") {
      $champs1 = $ban_adm5.$tbregim1;
    }
    else {
      $champs1 = $tbcode1." - ";
      $champs2 = $tbregim1;
    }

    $tmp[0][$tmpi] = $champs0."<strong>".$champs1."</strong>".$champs2;
    $tmp[1][$tmpi] = $tbfileid;
    $tmp[2][$tmpi] = $tbstatus;
    $tmp[3][$tmpi] = $tbformat;
    $tmp[4][$tmpi] = $ban_adm6.FormatDate($tbdebut).$ban_adm7.FormatDate($tbfin);
    $tmp[5][$tmpi] = $tbtype;
    $tmpi++;
  }
  unset($dbwork);
  // menu de tri des lments
  if ($tmpi > 0) {
    $href = CHEMIN."admin/admin.php?lng=".$lng."&amp;pg=".$pg."&amp;plug=total_ban/total_ban";
  	switch ($tri) {
     	case "id" :
     		$cr = array_multisort($tmp[1], SORT_NUMERIC, SORT_ASC, $tmp[0], $tmp[2], $tmp[3], $tmp[5], $tmp[4]);
     		echo "<a href=\"".$href."&amp;tri=id\"><strong>".$admin674."</strong></a> - <a href=\"".$href."&amp;tri=-id\">".$admin675."</a><br /><a href=\"".$href."&amp;tri=ch\">".$admin676."</a> - <a href=\"".$href."&amp;tri=-ch\">".$admin677."</a><br /><a href=\"".$href."&amp;tri=ty\">".$ban_adm46."</a> - <a href=\"".$href."&amp;tri=-ty\">".$ban_adm46."</a>";
   		break;
      case "-id" :
        $cr = array_multisort($tmp[1], SORT_NUMERIC, SORT_DESC, $tmp[0], $tmp[2], $tmp[3], $tmp[5], $tmp[4]);
 		    echo "<a href=\"".$href."&amp;tri=id\">".$admin674."</a> - <a href=\"".$href."&amp;tri=-id\"><strong>".$admin675."</strong></a><br /><a href=\"".$href."&amp;tri=ch\">".$admin676."</a> - <a href=\"".$href."&amp;tri=-ch\">".$admin677."</a><br /><a href=\"".$href."&amp;tri=ty\">".$ban_adm46."</a> - <a href=\"".$href."&amp;tri=-ty\">".$ban_adm46."</a>";
 		  break;
 	    case "ch" :
 		    $cr = array_multisort($tmp[0], SORT_ASC, $tmp[1], $tmp[2], $tmp[3], $tmp[5], $tmp[4]);
 		    echo "<a href=\"".$href."&amp;tri=id\">".$admin674."</a> - <a href=\"".$href."&amp;tri=-id\">".$admin675."</a><br /><a href=\"".$href."&amp;tri=ch\"><strong>".$admin676."</strong></a> - <a href=\"".$href."&amp;tri=-ch\">".$admin677."</a><br /><a href=\"".$href."&amp;tri=ty\">".$ban_adm46."</a> - <a href=\"".$href."&amp;tri=-ty\">".$ban_adm46."</a>";
 		  break;
 	    case "-ch" :
 		    $cr = array_multisort($tmp[0], SORT_DESC, $tmp[1], $tmp[2], $tmp[3], $tmp[5], $tmp[4]);
 		    echo "<a href=\"".$href."&amp;tri=id\">".$admin674."</a> - <a href=\"".$href."&amp;tri=-id\">".$admin675."</a><br /><a href=\"".$href."&amp;tri=ch\">".$admin676."</a> - <a href=\"".$href."&amp;tri=-ch\"><strong>".$admin677."</strong></a><br /><a href=\"".$href."&amp;tri=ty\">".$ban_adm46."</a> - <a href=\"".$href."&amp;tri=-ty\">".$ban_adm46."</a>";
 		  break;
      case "ty" :
 		    $cr = array_multisort($tmp[5], SORT_ASC, $tmp[1], $tmp[0], $tmp[3], $tmp[2], $tmp[4]);
 		    echo "<a href=\"".$href."&amp;tri=id\">".$admin674."</a> - <a href=\"".$href."&amp;tri=-id\">".$admin675."</a><br /><a href=\"".$href."&amp;tri=ch\">".$admin676."</a> - <a href=\"".$href."&amp;tri=-ch\">".$admin677."</a><br /><a href=\"".$href."&amp;tri=ty\"><strong>".$ban_adm46."</strong></a> - <a href=\"".$href."&amp;tri=-ty\">".$ban_adm46."</a>";
 		  break;
      case "-ty" :
 		    $cr = array_multisort($tmp[5], SORT_DESC, $tmp[1], $tmp[0], $tmp[3], $tmp[2], $tmp[4]);
 		    echo "<a href=\"".$href."&amp;tri=id\">".$admin674."</a> - <a href=\"".$href."&amp;tri=-id\">".$admin675."</a><br /><a href=\"".$href."&amp;tri=ch\">".$admin676."</a> - <a href=\"".$href."&amp;tri=-ch\">".$admin677."</a><br /><a href=\"".$href."&amp;tri=ty\">".$ban_adm46."</a> - <a href=\"".$href."&amp;tri=-ty\"><strong>".$ban_adm46."</strong></a>";
 		  break;
    }
  } // fin menu de tri des lments
  if (empty($idpg)) { // numro de page
    $idpg = 1;
  }
  else {
    while ($tmpi <= ($idpg - 1)* $nbresult) $idpg--;
  } // fin numro de page
  if ($tmpi - ($nbresult*($idpg-1)) > $nbresult) {
    $maxresult = $nbresult;
  }
  else {
    $maxresult = $tmpi - ($nbresult*($idpg-1));
  }
	if ($tmpi > 0) {
    // barre de navigation si plusieurs pages
    $navbar = GetNavBar("admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=total_ban/total_ban&amp;tri=".$tri."&amp;idpg=", $tmpi, $idpg, $nbresult);
    echo '<hr />'.$navbar;
    // dbut formulaire d'actions
   	echo "<form name=\"fast_actions\" action=\"admin.php?lng=".$lng."&amp;idpg=".$idpg."&amp;pg=plugin&amp;plug=total_ban/total_ban&amp;id=".$id."&amp;tri=".$tri."&amp;act=fast\" method=\"POST\">";
   	echo "<div align=\"right\" style=\"width:90%; padding-right:25px\"><input class=\"bouton\" type=\"submit\" value=\"".$web361."\">";
    echo " <img src=\"".CHEMIN."inc/img/general/bas.gif\" alt=\"\"></div>";
   	echo "<table cellpadding=\"4\" cellspacing=\"1\" width=\"90%\">";
   	echo "<tr class=\"forum\">";
    echo "<td>".$admin678."</td><td>".$admin679."</td><td>".$admin680."</td></tr>";
  	$tbids = "";
  	// affichage des lments
    for ($i = $nbresult*($idpg-1); $i < Min($nbresult*$idpg, $tmpi); $i++) {
  	  $tbfileid = $tmp[1][$i];
  	  $tbstatus = $tmp[2][$i];
  	  if ($tmp[3][$i]=="re") $idform = 4;
  	  else $idform = 2;
  	  if ($i %2 == 0) echo "<tr class=\"rep\">";
  	  else echo "<tr class=\"quest\">"; 
      echo "<td>".$tmp[1][$i]." </td>";
      echo "<td style=\"width:100%;text-align:left;\">";
      echo "<a href=\"admin.php?lng=".$lng."&amp;pg=plugin&amp;plug=total_ban/total_ban&amp;tri=".$tri."&amp;form=".$idform."&amp;idpg=".$idpg."&amp;id=".$tbfileid."\" title=\"".$admin33."\"><img src=\"inc/img/files/edit.gif\" border=0 alt=\"".$admin33."\" title=\"".$admin33."\">";
      echo ' '.$tmp[0][$i].'</a> - type : '.$tmp[5][$i].'<br />'.$tmp[4][$i].'</td>';
      echo "<td style=\"white-space:nowrap;\">";
      if ($tbstatus == "a") {
        MakeRadioGroup(array( array("a", "i", $tbfileid), array("a", "d", $tbfileid) ));
      }
      elseif ($tbstatus == "i") {
        MakeRadioGroup(array( array("i", "a", $tbfileid), array("i", "d", $tbfileid) ));
      }
      else {
        MakeRadioGroup(array( array("d", "a", $tbfileid), array("d", "i", $tbfileid) ));
      }
      echo "</td>
      </tr>";
      $tbids .= $tbfileid." ";
    }
    echo "</table>";
    echo "<p align=\"center\"><input type=\"hidden\" name=\"tbids\" value=\"".$tbids."\"></p>";
    echo "<div align=\"right\" style=\"width:90%; padding-right:25px\"><input class=\"bouton\" type=\"submit\" value=\"".$web361."\">";
    echo " <img src=\"".CHEMIN."inc/img/general/up1.gif\" align=\"middle\" alt=\"\"></div>";
    echo "</form>";
    echo $navbar;
    }
  else {
    echo '<p style="text-align:center">'.$admin854.'</p>';
  }
} // fin liste des bannires

// formulaire bannire et rgie
else {
  if ($lang[1] == "") $flag1 = CHEMIN."inc/lang/lang.gif";
  ?>
  <form name="adminsend" action="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&amp;plug=total_ban/total_ban" method="post">
  <input type="hidden" name="pg" value="plugin">
  <input type="hidden" name="tri" value="<? echo $tri ?>">
  <input type="hidden" name="idpg" value="<? echo $idpg ?>">

  <?
  if ($form==4) { // modification rgie
    ReadDocTB(TB_DBBASE.$id);
    ?>
    <input type="hidden" name="tb_format" value="re">
    <input type="hidden" name="mod" value="1">
    <input type="hidden" name="form" value="4">
    <input type="hidden" name="id" value="<? echo $id; ?>">
    <?
  }
  elseif ($form==3) { // ajout rgie
    ?>
    <input type="hidden" name="tb_format" value="re">
    <input type="hidden" name="add" value="1">
    <p><? echo $admin764; ?>
    <select name="tb_status" style="vertical-align:middle">
      <option value="on" selected><? echo $admin765; ?></option>
      <option value=""><? echo $admin766; ?></option>
    </select>
    </p>
    <?
    $tbtype = "";$tbfileid = "";$tbstatus = "";$tbformat = "";
    $tbcreadate = "";$tbmoddate = "";
    $tbregim1 = "";$tbcode1 = "";$tbregim2 = "";$tbcode2 = "";
    $tbdebut = "";$tbfin = "";
  }
  elseif ($form==2){ // modification bannire
    ReadDocTB(TB_DBBASE.$id);
    ?>
    <input type="hidden" name="tb_format" value="im">
    <input type="hidden" name="mod" value="1">
    <input type="hidden" name="form" value="2">
    <input type="hidden" name="id" value="<? echo $id; ?>">
    <?
  }
  else { //ajout bannire
    $form = 1;
    ?>
    <input type="hidden" name="tb_format" value="im">
    <input type="hidden" name="add" value="1">
    <p><? echo $admin764; ?>
    <select name="tb_status" style="vertical-align:middle">
      <option value="on" selected><? echo $admin765; ?></option>
      <option value=""><? echo $admin766; ?></option>
    </select>
    </p>
    <?
    $tbtype = "";$tbfileid = "";$tbstatus = "";$tbformat = "";
    $tbcreadate = "";$tbmoddate = "";
    $tbregim1 = "";$tbcode1 = "";$tbregim2 = "";$tbcode2 = "";
    $tbdebut = "";$tbfin = "";
  }
  
  ?>
  <p><? echo $ban_adm20; ?>
  <select name="tb_type" style="vertical-align:middle">
      <option value="bp"<? if ($tbtype == "bp") echo " selected"; ?>><? echo $ban_adm21; ?></option>
      <option value="bb"<? if (($tbtype == "bb") || ($tbtype == "")) echo " selected"; ?>><? echo $ban_adm22; ?></option>
      <option value="sl"<? if ($tbtype == "sl") echo " selected"; ?>><? echo $ban_adm23; ?></option>
      <option value="sm"<? if ($tbtype == "sm") echo " selected"; ?>><? echo $ban_adm24; ?></option>
      <option value="pt"<? if ($tbtype == "pt") echo " selected"; ?>><? echo $ban_adm38; ?></option>
      <option value="pp"<? if ($tbtype == "pp") echo " selected"; ?>><? echo $ban_adm25; ?></option>
    </select>
  </p>
  <?
  
  if ($form==1 || $form==2){
    // liste des images et flash
    ?>
    <p align="center"><? echo $admin269; ?><br />
    <?
    foreach ($swf as $ban) { $img[] = $ban; }
    @sort($img);
    ?>
    <img src="<? echo $flag1; ?>" width="24" height="16" align="baseline" alt="<? echo $lang[0]; ?>">
    <select name="tb_regim1">
    <option value="" <? if ($tbregim1 == "") echo "selected"; ?>><? echo $admin90; ?></option>
    <?
    for ($i = 0; $i < count($img); $i++) {
      if ($tbregim1 == $img[$i]) {
        $sel = " selected";
      }
      else {
        $sel = "";
      }
      echo "<option value=\"".$img[$i]."\"".$sel.">".$img[$i]."</option>\n";
    }
    ?>
    </select>
    <?
    if ($lang[1] != "") {
      ?>
      <br /><img src="<? echo $flag2; ?>" width="24" height="16" align="baseline" alt="<? echo $lang[1]; ?>">
      <select name="tb_regim2">
      <option value="" <? if ($tbregim2 == "") echo "selected"; ?>><? echo $admin90; ?></option>
      <?
      for ($i = 0; $i < count($img); $i++) {
        if ($tbregim2 == $img[$i]) {
          $sel = " selected";
        }
        else {
          $sel = "";
        }
        echo "<option value=\"".$img[$i]."\"".$sel.">".$img[$i]."</option>\n";
      }
      ?>
      </select>
      <?
    }
    echo "</p>";
    // fin liste des images et flash

    // url cible de la bannire
    ?>
    <p align="center"><? echo $admin268; ?><br />
    <img src="<? echo $flag1; ?>" width="24" height="16" align="baseline" alt="<? echo $lang[0]; ?>">
    <input class="texte" type="text" name="tb_code1" size="45" value="<? echo $tbcode1; ?>">
    <?
    if ($lang[1] != "") {
      ?>
      <br /><img src="<? echo $flag2; ?>" width="24" height="16" align="baseline" alt="<? echo $lang[1]; ?>">
      <input class="texte" type="text" name="tb_code2" size="45" value="<? echo $tbcode2; ?>">
      <?
    }
    echo "</p>";
    // fin url cible de la bannire
  }
  else {
    // nom de la rgie
    ?>
    <p align="center"><? echo $ban_adm15; ?><br />
    <img src="<? echo $flag1; ?>" width="24" height="16" align="baseline" alt="<? echo $lang[0]; ?>">
    <input class="texte" type="text" name="tb_regim1" size="45" value="<? echo $tbregim1; ?>">
    <?
    if ($lang[1] != "") {
      ?>
      <br /><img src="<? echo $flag2; ?>" width="24" height="16" align="baseline" alt="<? echo $lang[1]; ?>">
      <input class="texte" type="text" name="tb_regim2" size="45" value="<? echo $tbregim2; ?>">
      <?
    }
    echo "</p>";
    // fin nom de la rgie

    // code de la rgie
    ?>
    <p align="center"><? echo $ban_adm16; ?></p><br />
    <p align="center"><img src="<? echo $flag1; ?>" width="24" height="16" alt="<? echo $lang[0] ?>"><br />
    <textarea wrap="virtual" cols="52" rows="10" name="tb_code1"><? echo $tbcode1; ?></textarea></p>
    <?
    if ($lang[1] != "") {
      ?>
      <br /><br />
      <p align="center"><img src="<? echo $flag2; ?>" width="24" height="16" alt="<? echo $lang[1] ?>"><br />
      <textarea wrap="virtual" cols="52" rows="10" name="tb_code2"><? echo $tbcode2; ?></textarea></p>
      <?
    }
    // fin code de la rgie
  }
  
  // date dbut
  ?>
  <p align="center"><? echo $ban_adm8; ?><br />
  <?
  $c1=ExplodeDateTB($tbdebut);
  ListeDateTB(0,23,$c1[0],"tb_debut[]",$ban_adm10,"##");
  ListeDateTB(0,59,$c1[1],"tb_debut[]",$ban_adm11,"##");
  ListeDateTB(1,31,$c1[2],"tb_debut[]",$ban_adm12,"##");
  ListeDateTB(1,12,$c1[3],"tb_debut[]",$ban_adm13,"##");
  ListeDateTB(2005,2010,$c1[4],"tb_debut[]",$ban_adm14,"####");
  ?></p><?
  // fin date dbut
  
  // date fin
  ?>
  <p align="center"><? echo $ban_adm9; ?><br />
  <?
  $c1=ExplodeDateTB($tbfin);
  ListeDateTB (0,23,$c1[0],"tb_fin[]",$ban_adm10,"##");
  ListeDateTB (0,59,$c1[1],"tb_fin[]",$ban_adm11,"##");
  ListeDateTB (1,31,$c1[2],"tb_fin[]",$ban_adm12,"##");
  ListeDateTB (1,12,$c1[3],"tb_fin[]",$ban_adm13,"##");
  ListeDateTB (2005,2010,$c1[4],"tb_fin[]",$ban_adm14,"####");
  ?></p><?
  // fin date fin

  ?>
  <table cellspacing="0" cellpadding="0" align="center"border="0">
  <tr>
    <td align="center"><? echo $boutonleft; ?><input class="bouton" type="submit" value="<? echo $admin38; ?>"><? echo $boutonright; ?></td></tr>
  </table>
  </form>
  <?
} // fin formulaire bannire et rgie
?>
<hr /><a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban_cfg"><b><? echo $ban_adm19; ?></b></a>
|| <a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban_cfg&amp;act=mai&amp;tri=<? echo $tri; ?>"><? echo $ban_adm18; ?></a><br />
<a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban&amp;tri=<? echo $tri; ?>"><? echo $admin266; ?></a>
|| <a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban&amp;tri=<? echo $tri; ?>&amp;form=1"><? echo $admin267; ?></a>
|| <a href="admin.php?lng=<? echo $lng; ?>&amp;pg=plugin&plug=total_ban/total_ban&amp;tri=<? echo $tri; ?>&amp;form=3"><? echo $ban_adm4; ?></a>
<hr />
<a href="admin.php?lng=<? echo $lng; ?>"><? echo $admin22; ?></a> || <strong><a href="admin.php?lng=<? echo $lng; ?>&amp;logout=1"><? echo $admin19; ?></a></strong>
</div>
<?
btable();
$lang[0] = $langue0;
$lang[1] = $langue1;
include(CHEMIN."inc/bpage.inc");
if (($serviz[49] == "in") && ($browser == "OK")) {
  if ($form != 0) {
    echo "
    <script>VISUAL=-1; SECURE=0; RETURNNL=0; FULLCTRL=1; DFFACE='".$page[1]."'; DFSIZE='".$page[2]."'; LANGUAGE='".$lng."-lang.js'; LANG='".$lng."'; IPATH = '".$site[3]."';</script>
    <script src='../inc/jscript/quickbuild.js'></script>";
    echo "<script>changetoIframeEditor(document.adminsend.contenu1);</script>";
    if ($lang[1] !="") {
      echo "<script>changetoIframeEditor(document.adminsend.contenu2);</script>";
    }
  }
}
?>
